.SwitchBlock {
  max-width: 100%;
  display: inline-flex;
  align-items: center
}

.SwitchBlockTxt {
  flex: 1;
  min-width: 0;
  margin-inline-end: 8px;
  font-size: 14px;
  line-height: 16px;
  color: rgba(var(--b-sc), .6)
}

.SwitchBlockInner {
  position: relative;
  flex: 0 0 auto;
  width: 36px;
  height: 20px;
  background: rgba(var(--b-sc), .25);
  border-radius: 10px;
  cursor: pointer;
  transition: background-color var(--default-transition-duration)
}

.SwitchBlockInner.active {
  background: rgba(var(--b-sc), 1)
}

.SwitchBlockInner.active:before {
  background: rgba(var(--hero), 1)
}

[dir=ltr] .SwitchBlockInner.active:before {
  transform: translate(100%)
}

[dir=rtl] .SwitchBlockInner.active:before {
  transform: translate(-100%)
}

.SwitchBlockInner:before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  bottom: 0;
  margin: auto;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background: rgba(var(--b), 1);
  transition: background-color var(--default-transition-duration), transform var(--default-transition-duration)
}

[dir=ltr] .SwitchBlockInner:before {
  left: 2px
}

[dir=rtl] .SwitchBlockInner:before {
  right: 2px
}